<?php
/*
Plugin Name: Better tag cloud widget
Plugin URI: http://www.nkuttler.de/wordpress/nktagcloud/
Author: Nicolas Kuttler
Author URI: http://www.nkuttler.de/
Description: A better tag cloud widget than the default one.
Version: 0.8.2
*/

/**
 * Check if we run as admin or normal user
 *
 * @since 0.8.0alpha-1
 */
function nktagcloud_load() {
	// always needed
	require_once( 'inc/page.php' );
	register_sidebar_widget( __('Better Tag cloud', 'nktagcloud'), 'widget_nktagcloud' );

	// Assume that bloggers upgrade the plugin manually without de- and
	// reactivating it and force the data model upgrade
	// TODO remove this code somewhen in the future...
	if ( get_option('nktagcloud_title') ) {
		require_once( 'inc/admin.php' );
		nktagcloud_migrate_to_0_8_0();
	}
	if ( is_admin() ) {
		require_once( 'inc/admin.php' );
		// TODO Well, we need the translation on the page too, for the home link
		add_action('init', 'nktagcloud_load_translation_file');
		add_action( 'admin_menu', 'nktagcloud_add_pages' );
		register_widget_control( __('Better Tag cloud', 'nktagcloud' ), 'nktagcloud_control' );
		register_activation_hook( __FILE__, 'nktagcloud_install' );
	}
	else {
		add_shortcode( 'nktagcloud', 'nktagcloud_shortcode' );
	}
}
nktagcloud_load();

/**
 * Create a shortcode
 *
 * @since 0.8.1
 */
function nktagcloud_shortcode() { ?>
	<div class="better-tag-cloud-shortcode" > <?php
	$option = get_option( 'nktagcloud' );
	$config = $option['config'];
	nktagcloud_the_cloud( $config ); ?>
	</div> <?php
}
